# Uses of Interface
org.jfree.chart3d.plot.Plot3D

Packages that use Plot3D
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.legend
Classes related to chart legends.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.
org.jfree.chart3d.style
Classes for controlling chart styles.

## Uses of Plot3D in org.jfree.chart3d

Methods in org.jfree.chart3d that return Plot3D
Modifier and Type
Method
Description
`Plot3D`
Chart3D.`getPlot()`
Returns the plot, which manages the dataset, the axes (if any), the renderer (if any) and other attributes related to plotting data.
Constructors in org.jfree.chart3d with parameters of type Plot3D
Modifier
Constructor
Description
``
`Chart3D(String title, String subtitle, Plot3D plot)`
Creates a 3D chart for the specified plot using the default chart style.
``
`Chart3D(String title, String subtitle, Plot3D plot, ChartStyle style)`
Creates a 3D chart for the specified plot using the supplied style.

## Uses of Plot3D in org.jfree.chart3d.legend

Methods in org.jfree.chart3d.legend with parameters of type Plot3D
Modifier and Type
Method
Description
`TableElement`
ColorScaleLegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates a new color scale legend with the specified orientation.
`TableElement`
LegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates a legend for the specified plot.
`TableElement`
StandardLegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates and returns a legend (instance of `TableElement`) that provides a visual key for the data series in the specified plot.

## Uses of Plot3D in org.jfree.chart3d.plot

Classes in org.jfree.chart3d.plot that implement Plot3D
Modifier and Type
Class
Description
`class`
`AbstractPlot3D`
A base class that can be used to create classes that implement `Plot3D`.
`class`
`CategoryPlot3D`
A 3D plot with two category axes (x and z) and a numerical y-axis that can display data from a `CategoryDataset3D`.
`class`
`PiePlot3D`
A plot for creating 3D pie charts.
`class`
`XYZPlot`
A 3D plot with three numerical axes that displays data from an `XYZDataset`.
Methods in org.jfree.chart3d.plot that return Plot3D
Modifier and Type
Method
Description
`Plot3D`
Plot3DChangeEvent.`getPlot()`
Returns the plot from which the event came.
Constructors in org.jfree.chart3d.plot with parameters of type Plot3D
Modifier
Constructor
Description
``
`Plot3DChangeEvent(Object source, Plot3D plot, boolean requiresWorldUpdate)`
Creates a new event.

## Uses of Plot3D in org.jfree.chart3d.style

Methods in org.jfree.chart3d.style with parameters of type Plot3D
Modifier and Type
Method
Description
`protected void`
ChartStyler.`stylePlot(Plot3D plot)`
Applies the current style to the plot.